#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.2
visibility:           public
id:                   taffybar-4.0.2-IbVFaQ6cFLYKIaPOOyMTMx
key:                  taffybar-4.0.2-IbVFaQ6cFLYKIaPOOyMTMx
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  2ea0bd2ae292daa2880503d8ee3a1758
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.2.8/site-local/taffybar-4.0.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/taffybar-4.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.2-IbVFaQ6cFLYKIaPOOyMTMx
extra-libraries:
    gtk-3 gdk-3 z harfbuzz pangocairo-1.0 pango-1.0 atk-1.0 cairo
    cairo-gobject gdk_pixbuf-2.0 gio-2.0 glib-2.0 gobject-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0 /usr/include/cairo
    /usr/include/gdk-pixbuf-2.0 /usr/include/atk-1.0
    /usr/include/freetype2 /usr/include/glib-2.0
    /usr/lib/glib-2.0/include /usr/include/harfbuzz
    /usr/include/libmount /usr/include/blkid /usr/include/sysprof-6
    /usr/include/libpng16 /usr/include/pixman-1
    /usr/include/cloudproviders /usr/include/at-spi2-atk/2.0
    /usr/include/at-spi-2.0 /usr/include/dbus-1.0
    /usr/lib/dbus-1.0/include /usr/include/fribidi
    /usr/include/gio-unix-2.0

depends:
    HStringTemplate-0.8.8-KHnYCVnz7Zp4pI5Em7TyHa
    X11-1.10.3-8NdPo2dy5eHGXd7RnXiWFu
    aeson-2.1.2.1-2QGjkfeUzb9GAwOHYL9mgm
    ansi-terminal-0.11.4-EPVjDSBhsFM2RMZf92XUfK base-4.16.4.0
    broadcast-chan-0.2.1.2-f02PvATo7NKoyx3Lp7VKE bytestring-0.11.4.0
    conduit-1.3.5-HjP6LcsKWyQBqH4koT7QxZ containers-0.6.5.1
    data-default-0.7.1.1-LSJh75QrCu1H2SWBLBb1YB
    dbus-1.3.1-CAVcaX7Twi1FZifBT2kZHy
    dbus-hslogger-0.1.0.1-2cOY8hB83kZDYPNihGra0o directory-1.3.6.2
    dyre-0.9.2-5abLnFQgVLs9P4QvCpgWpr
    either-5.0.2-9mtDvrcceoSGjX9GV6bUBD
    enclosed-exceptions-1.0.3-Gx9wKH0XbRG9yGfjhu71S3 filepath-1.4.2.2
    gi-cairo-1.0.29-4Euup1xMDd477n8ahPneto
    gi-cairo-connector-0.1.1-KkkJMGiRZSJCt23eNFHeWV
    gi-cairo-render-0.1.2-Hpw7kHnw7ZZM9DVNqIcx7
    gi-gdk-3.0.25-9WmuXQ1QQMWBfNYf1R2fwk
    gi-gdkpixbuf-2.0.31-18hLYY2lQMcJru92lRHdwB
    gi-gdkx11-3.0.12-2VL74wcwNA59soNsuE9JkB
    gi-glib-2.0.29-Ctm8x6tTbOV7oftDGksNn5
    gi-gtk-3.0.38-CLX0LvJKvVt8hE0gtgnkN2
    gi-gtk-hs-0.3.16-5TRwWTd4VSi4A6fJd6TSRl
    gi-pango-1.0.29-AXaEnwwN8fI1b8dmfEVXM6
    gtk-sni-tray-0.1.8.1-FlIlJ2asE5c4R435rMMBzd
    gtk-strut-0.1.3.2-6ApqRb6dgA44VESpUaFXPo
    haskell-gi-0.26.4-L1eMa97UDMX3bjusV28JYU
    haskell-gi-base-0.26.4-BFXyyduHPGW6bU8MlEazkc
    hslogger-1.3.1.0-LGXq0Irhzb534fxuYt7u8c
    http-client-0.7.15-CfCS6ksdsf15aPqpZ0VwYm
    http-client-tls-0.3.6.3-Ly2SIcVuwJBTAdkdfNBFA
    http-conduit-2.3.8.3-85AgbAPnGoCKaVJoMajDEB
    http-types-0.12.4-4Sw8MSrZ5ruAIbTrBQxmp0
    multimap-1.2.1-2IAvtGljS5zEVxuDX8lIuU
    old-locale-1.0.0.7-DSFeUNZwxUU2YUIlh1bsq7 parsec-3.1.15.0
    process-1.6.16.0 rate-limit-1.4.3-GgKPfmYk1rq2rp9ut0wxbG
    regex-compat-0.95.2.1-6r4iKSNuQHkEjgz1ilm8wy
    safe-0.3.21-CqIHKdkgiB2klcxc5dxay
    scotty-0.21-A4AA31bRAtrLB10oUPRGdl
    split-0.2.5-FikGR5xLeivE3fJUC4tXgQ
    status-notifier-item-0.3.1.0-2SHKeES6NcvX9zoGF7xtb stm-2.5.0.2
    template-haskell-2.18.0.0 text-1.2.5.0 time-1.11.1.1
    time-locale-compat-0.1.1.5-LoE3V3We7KBAnFwKjT98C2
    time-units-1.0.0-5ANWMnlmGbA6CL2adJPINT transformers-0.5.6.2
    transformers-base-0.4.6-IOayaC279jG1puxw49VnQP
    tuple-0.3.0.2-Aae5Eh6Q42oJhVmbY4k7rV unix-2.7.2.2
    utf8-string-1.0.2-9i4m1tpDbmh81tMCrQ25jI
    xdg-basedir-0.2.2-BAENMrhgj9o4xkjbLJyx83
    xdg-desktop-entry-0.1.1.2-A8E8VbIIJ2zBJ2elesmO5s
    xml-1.3.14-6RhFPlxQprr192No4Dq3gf
    xml-helpers-1.0.0-KVIOBFUCXoGnjpBr1W1E3
    xmonad-0.18.0-9XTtFFAVn483QVIOcU5mxv

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

